Bug 1128352 - Missing dependency on python-pyside
Summary: Missing dependency on python-pyside
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 10:56 UTC by Neil Darlow
Modified: 2014-08-09 18:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 18:40:37 UTC


Attachments (Terms of Use)

Description Neil Darlow 2014-08-09 10:56:35 UTC
Description of problem:
The latest FreeCAD version has changed the QT4 bindings. python-pyside is now used and the package is missing a dependency for this.

Version-Release number of selected component (if applicable):
freecad-0.14-1

How reproducible:
Every time.

Steps to Reproduce:
1. Start FreeCAD
2. Switch to another workbench
3. Observe "Missing module Pyside" error dialog.

Actual results:
FreeCAD reports that python-pyside is missing when switching workbench.

Expected results:
No error should be reported.

Additional info:
Manually installing python-pyside fixes this problem.
Note that python-pyside replaces existing QT4 binding technology so it may require the new pyside dependency to replace an existing one.

Comment 1 Richard Shaw 2014-08-09 18:40:37 UTC
As mentioned in the freecad forum thread, there's already an update working it's way through to fix the problem. It currently already has +2 karma and if you gave it positive karma I would be able to push it to stable early instead of waiting the usual week.

https://admin.fedoraproject.org/updates/FEDORA-2014-9259/freecad-0.14-2.fc20


Note You need to log in before you can comment on or make changes to this bug.